<div class="btn-group" [ngClass]="isDropdown ? 'dropdown-item' : 'me-2'" role="group" aria-label="Controls">
  <button
    type="button"
    class="btn btn-primary"
    title="Start form"
    [disabled]="
      runner.status === 'empty' ||
      runner.status === 'preview' ||
      (runner.status !== 'stopped' && runner.status !== 'finished')
    "
    (click)="runner.start()"
  >
    <i class="fas fa-play fa-fw"></i>
  </button>
  <button
    type="button"
    class="btn btn-primary"
    title="Pause form"
    [disabled]="runner.status !== 'running'"
    (click)="runner.pause()"
  >
    <i class="fas fa-pause fa-fw"></i>
  </button>
  <button
    type="button"
    class="btn btn-primary"
    title="Stop form"
    [disabled]="runner.status !== 'running'"
    (click)="runner.stop()"
  >
    <i class="fas fa-stop fa-fw"></i>
  </button>
  <button
    type="button"
    class="btn btn-primary"
    title="Reset form"
    [disabled]="runner.status !== 'running'"
    (click)="app.reset()"
  >
    <i class="fas fa-redo fa-fw"></i>
  </button>
</div>

<div class="btn-group btn-group-toggle" [ngClass]="isDropdown ? 'dropdown-item' : ''" data-toggle="buttons">
  <button
    type="button"
    class="btn btn-primary"
    [ngClass]="runner.preview ? '' : 'active'"
    [disabled]="runner.status !== 'running' && runner.status !== 'preview'"
    data-toggle="button"
    (click)="runner.set('preview', false)"
  >
    Run
  </button>
  <button
    type="button"
    class="btn btn-primary"
    [ngClass]="runner.preview ? 'active' : ''"
    [disabled]="runner.status !== 'running' && runner.status !== 'preview'"
    data-toggle="button"
    (click)="runner.set('preview', true)"
  >
    Preview
  </button>
</div>

<button
  type="button"
  class="btn btn-primary"
  [ngClass]="isDropdown ? 'dropdown-item' : 'ms-2'"
  data-bs-toggle="modal"
  data-bs-target="#settingsModal"
>
  <i class="fas fa-cog fa-fw" [ngClass]="isDropdown ? 'me-2' : ''"></i>
  {{ isDropdown ? "Settings" : "" }}
</button>
